/*

                WetherMeter

                Cۏ̎WƋL^

	i2cTinySht.h

	^IICڑ̎xZT[Rg[B

	Copyrights 2010,  Yoshi Hiroshi.

 */
#include <avr/io.h>

#define SHT_COMAND_GET_HUMIDITY 0x05
//#define SHT_COMAND_SET_STATUS   0x06

void shtInit();
void shtSendStartCondition(unsigned char resetReq);
unsigned char shtWriteData(unsigned char val);
unsigned char shtReadData(unsigned char ack);
int shtGetHumidityRead();
void shtStartMeassure();
int shtReadWord();

//--- Bit Assignment
#define SHT_SCL					3
#define SHT_SDA					4
//--- Register Assignment
#define SHT_SCL_PORT		    PORTD
#define SHT_SCL_DDR				DDRD
#define SHT_SCL_PIN				PIND
#define SHT_SDA_PORT			PORTD
#define SHT_SDA_DDR				DDRD
#define SHT_SDA_PIN				PIND

//--- SCL MACRO Assignment
#define SHT_SCL_AS_INPUT		SHT_SCL_DDR &= ~_BV(SHT_SCL)
#define SHT_SCL_AS_OUTPUT		SHT_SCL_DDR |= _BV(SHT_SCL)
#define SHT_SCL_FREE			SHT_SCL_PORT |= _BV(SHT_SCL); SHT_SCL_AS_INPUT
#define SHT_SCL_SET_LOW			SHT_SCL_AS_OUTPUT; SHT_SCL_PORT &= ~_BV(SHT_SCL)
#define SHT_SCL_CURR_VAL		(SHT_SCL_PIN  & _BV(SHT_SCL))
//--- SDA MACRO Assignment
#define SHT_SDA_AS_INPUT		SHT_SDA_DDR &= ~_BV(SHT_SDA)
#define SHT_SDA_AS_OUTPUT		SHT_SDA_DDR |= _BV(SHT_SDA)
#define SHT_SDA_FREE			SHT_SDA_PORT |= _BV(SHT_SDA); SHT_SDA_AS_INPUT
#define SHT_SDA_SET_LOW			SHT_SDA_AS_OUTPUT; SHT_SDA_PORT &= ~_BV(SHT_SDA)
#define SHT_SDA_CURR_VAL		(SHT_SDA_PIN  & _BV(SHT_SDA))

